> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chift.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Export entries in FEC format

> Returns accounting entries according to the FEC format



## OpenAPI

````yaml get /consumers/{consumer_id}/accounting/export-fec
openapi: 3.1.0
info:
  title: Chift API
  description: >-
    The Chift API is a universal API giving you access to financial data from
    the software of your clients. It helps software companies to offer native
    integrations to their clients without the effort needed to maintain those
    native integrations. By using the APIs (Accounting, POS, eCommerce) of
    Chift, you connect once and allow your clients to use their software
    packages.
  version: 1.0.0
servers:
  - url: https://api.chift.eu
    description: Chift
security:
  - bearerAuth: []
paths:
  /consumers/{consumer_id}/accounting/export-fec:
    get:
      tags:
        - Accounting
        - Exports
      summary: Export entries in FEC format
      description: Returns accounting entries according to the FEC format
      operationId: accounting_export_fec
      parameters:
        - name: consumer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Consumer Id
        - name: folder_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Folder Id
          description: >-
            Id of the accounting folder instance. A folder represents a legal
            entity within the system. Required when the multiple folders feature
            is enabled.
        - name: date_from
          in: query
          required: true
          schema:
            type: string
            format: date
            title: Date From
          description: Start date for the FEC export.
        - name: date_to
          in: query
          required: true
          schema:
            type: string
            format: date
            title: Date To
          description: End date for the FEC export.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/FECItemOut'
                title: Response Accounting Export Fec
        '400':
          content:
            application/json:
              example:
                message: Error while trying to perform your request
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Bad Request
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - mcp_auth:
            - accounting
            - accounting.read
            - accounting.exports
            - accounting.exports.read
components:
  schemas:
    FECItemOut:
      properties:
        JournalCode:
          type: string
          title: Journalcode
        JournalLib:
          type: string
          title: Journallib
        EcritureNum:
          type: string
          title: Ecriturenum
        EcritureDate:
          type: string
          format: date
          title: Ecrituredate
        CompteNum:
          type: string
          title: Comptenum
        CompteLib:
          type: string
          title: Comptelib
        CompAuxNum:
          type: string
          title: Compauxnum
        CompAuxLib:
          type: string
          title: Compauxlib
        PieceRef:
          type: string
          title: Pieceref
        PieceDate:
          type: string
          format: date
          title: Piecedate
        Debit:
          type: number
          title: Debit
        Credit:
          type: number
          title: Credit
        EcritureLet:
          type: string
          title: Ecriturelet
        DateLet:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Datelet
        ValidDate:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Validdate
        Montantdevise:
          type: number
          title: Montantdevise
        Idevise:
          type: string
          title: Idevise
      type: object
      required:
        - JournalCode
        - JournalLib
        - EcritureNum
        - EcritureDate
        - CompteNum
        - CompteLib
        - CompAuxNum
        - CompAuxLib
        - PieceRef
        - PieceDate
        - Debit
        - Credit
        - EcritureLet
        - DateLet
        - ValidDate
        - Montantdevise
        - Idevise
      title: FECItemOut
    ChiftError:
      properties:
        message:
          type: string
          title: Message
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          default: error
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          default: ''
      type: object
      required:
        - message
      title: ChiftError
    HTTPValidationError:
      title: Validation Error
      required:
        - message
      type: object
      properties:
        message:
          title: Message
          type: string
          default: Validation error
        status:
          title: Status
          type: string
          default: error
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        This access token needs to be included in each of your request to the
        Chift API.

````